Package org.eclipse.jface.viewers

## Interface ISelectionChangedListener

All Known Implementing Classes:
  `AbstractTextEditor.AbstractSelectionChangedListener`, `AddBookmarkAction`, `AddTaskAction`, `BaseSelectionListenerAction`, `BuildAction`, `CloseResourceAction`, `CloseUnrelatedProjectsAction`, `CollapseAllAction`, `CommonNavigatorManager`, `CompareViewerPane`, `CompareViewerSwitchingPane`, `ContentOutline`, `ContentOutlinePage`, `CopyProjectAction`, `CopyResourceAction`, `CreateFileAction`, `CreateFolderAction`, `DeleteResourceAction`, `DrillDownAdapter`, `ExportResourcesAction`, `FilterSelectionAction`, `GotoResourceAction`, `ImportResourcesAction`, `ModelParticipantAction`, `MoveProjectAction`, `MoveResourceAction`, `OpenFileAction`, `OpenResourceAction`, `OpenSystemEditorAction`, `PaintManager`, `PropertyDialogAction`, `RefreshAction`, `RenameResourceAction`, `ResourceNavigatorAction`, `ResourceNavigatorMoveAction`, `ResourceNavigatorRenameAction`, `ScrubLocalAction`, `SelectionListenerAction`, `SelectionProviderAction`, `ShowInNavigatorAction`, `SortViewAction`, `SynchronizeModelAction`, `ToggleLinkingAction`, `WorkspaceAction`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface ISelectionChangedListener

A listener which is notified when a viewer's selection changes.

See Also:
  `ISelection`, `ISelectionProvider`, `SelectionChangedEvent`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `selectionChanged​(SelectionChangedEvent event)` Notifies that the selection has changed.

### Method Detail

#### selectionChanged

    void selectionChanged​(SelectionChangedEvent event)

Notifies that the selection has changed.

Parameters:
  `event` - event object describing the change